# Method: projects.locations.interceptEndpointGroupAssociations.get

Gets a specific association. See <https://google.aip.dev/131>.

### HTTP request

`GET https://networksecurity.googleapis.com/v1/{name=projects/*/locations/*/interceptEndpointGroupAssociations/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the association to retrieve. Format: projects/{project}/locations/{location}/interceptEndpointGroupAssociations/{interceptEndpointGroupAssociation} |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/network-security-integration/docs/reference/rest/v1/projects.locations.interceptEndpointGroupAssociations#InterceptEndpointGroupAssociation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `networksecurity.interceptEndpointGroupAssociations.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).